GETAUID(2)

NAME
getauid - retrieve audit session ID

SYNOPSIS
#include <bsm/audit.h>
int
getauid(au_id_t *auid);

DESCRIPTION
The getauid() system call retrieves the active audit session ID for the current process via the au_id_t pointed to by auid.

This system call requires an appropriate privilege to complete.

RETURN VALUES

ERRORS
The getauid() function will fail if:

[EFAULT]
    A failure occurred while data transferred from the kernel failed.

[EPERM]
    The process does not have sufficient permission to complete the operation.

SEE ALSO
audit(2), auditon(2), getaudit(2), getaudit_addr(2), setaudit(2), setaudit_addr(2), setauid(2), libbsm(3)

HISTORY
The OpenBSM implementation was created by McAfee Research, the security division of McAfee Inc., under contract to Apple Computer Inc. in 2004. It was subsequently adopted by the TrustedBSD Project as the foundation for the OpenBSM distribution.

AUTHORS
-nosplit This software was created by McAfee Research, the security research division of McAfee, Inc., under contract to Apple Computer Inc. Additional authors include Wayne Salamon, Robert Watson, and SPARTA Inc.

The Basic Security Module (BSM) interface to audit records and audit event stream format were defined by Sun Microsystems.

This manual page was written by Robert Watson <rwatson@FreeBSD.org>.